## Patches with a number < 100 are applied in debian.
## Ubuntu patches start with 100.
001_fedora_extramodes.patch
02_kbsd-input-devd.diff
03_static-nettle.diff
05_Revert-Unload-submodules.diff
06_use-intel-only-on-pre-gen4.diff
07_use-modesetting-driver-by-default-on-GeForce.diff
08_fix-for-ZDI-11426.patch
09_Correct-bounds-checking-in-XkbSetNames.patch
10_Fix-XIChangeHierarchy-integer-underflow.patch
11_Fix-XkbSelectEvents-integer-underflow.patch
12_Fix-XRecordRegisterClients-Integer-underflow.patch
13_record-Fix-out-of-bounds-access-in-SwapCreateRegiste.patch
14_xfixes-Fix-out-of-bounds-access-in-ProcXFixesCreateP.patch
15_Xext-Fix-out-of-bounds-access-in-SProcScreenSaverSus.patch
16_render-Fix-out-of-bounds-access-in-SProcRenderCompos.patch
17_xkb-switch-to-array-index-loops-to-moving-pointers.patch
18_xkb-add-request-length-validation-for-XkbSetGeometry.patch
19_xkb-swap-XkbSetDeviceInfo-and-XkbSetDeviceInfoCheck.patch
20_xkb-proof-GetCountedString-against-request-length-at.patch
21_xkb-fix-some-possible-memleaks-in-XkbGetKbdByName.patch

33_Xtest-disallow-GenericEvents-in-XTestSwapFakeInput.patch
34_Xi-disallow-passive-grabs-with-a-detail-255.patch
35_Xext-free-the-XvRTVideoNotify-when-turning-off-from-.patch
36_Xext-free-the-screen-saver-resource-when-replacing-i.patch
37_Xi-return-an-error-from-XI-property-changes-if-verif.patch
38_Xi-avoid-integer-truncation-in-length-check-of-ProcX.patch
39_xkb-reset-the-radio_groups-pointer-to-NULL-after-fre.patch

40_Xi-fix-potential-use-after-free-in-DeepCopyPointerCl.patch

41_Overlay_Window_Use-After-Free.patch

42-Xi-randr-fix-handling-of-PropModeAppend-Prepend.patch
43-mi-reset-the-PointerWindows-reference-on-screen-swit.patch

44-Xi-allocate-enough-XkbActions-for-our-buttons.patch
45-randr-avoid-integer-truncation-in-length-check-of-Pr.patch

Xi-require-a-pointer-and-keyboard-device-for-XIAttac.patch
dix-allocate-enough-space-for-logical-button-maps.patch
dix-Allocate-sufficient-xEvents-for-our-DeviceStateN.patch
dix-fix-DeviceStateNotify-event-calculation.patch
Xi-when-creating-a-new-ButtonClass-set-the-number-of.patch
Xi-flush-hierarchy-events-after-adding-removing-mast.patch
Xi-do-not-keep-linked-list-pointer-during-recursion.patch
dix-when-disabling-a-master-float-disabled-slaved-de.patch
ephyr-xwayland-Use-the-proper-private-key-for-cursor.patch
glx-Call-XACE-hooks-on-the-GLX-buffer.patch
dix-Fix-use-after-free-in-input-device-shutdown.patch
0001-Xi-ProcXIGetSelectedEvents-needs-to-use-unswapped-le.patch
0002-Xi-ProcXIPassiveGrabDevice-needs-to-use-unswapped-le.patch
0003-render-fix-refcounting-of-glyphs-during-ProcRenderAd.patch
0004-render-Avoid-possible-double-free-in-ProcRenderAddGl.patch

xkb-Fix-buffer-overflow-in-_XkbSetCompatMap.patch
